/**
   <summary>
   Defines functions for core library functions.
   </summary>
*/
namespace com.oneilsoft.Core {
    using SCG = System.Collections.Generic;

    /**
       <summary>
       Defines a rich set of functions for dealing with sequences.
       </summary>
    */
    public static class Seq
    {
        /**
           <summary>
           Returns an empty sequence of type object.
           </summary>
        */
        public static SCG.IEnumerable<object> Empty()
        {
            yield break;
        }

        /**
           <summary>
           Returns an empty sequence of the given type.
           </summary>
        */
        public static SCG.IEnumerable<T> Empty<T>()
        {
            yield break;
        }
    }
}
